Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class ReplaceableItem

    java.lang.Object
      com.amazonaws.services.simpledb.model.ReplaceableItem

    public class ReplaceableItem

extends Object

Constructor Summary
`ReplaceableItem()` Default constructor for a new ReplaceableItem object.
`ReplaceableItem(String name)` Constructs a new ReplaceableItem object.
`ReplaceableItem(String name, List<ReplaceableAttribute> attributes)` Constructs a new ReplaceableItem object.

Method Summary
`List<ReplaceableAttribute>` | `getAttributes()` The list of attributes for a replaceable item.
`String` | `getName()` The name of the replaceable item.
`void` | `setAttributes(Collection<ReplaceableAttribute> attributes)` The list of attributes for a replaceable item.
`void` | `setName(String name)` The name of the replaceable item.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ReplaceableItem` | `withAttributes(Collection<ReplaceableAttribute> attributes)` The list of attributes for a replaceable item.
`ReplaceableItem` | `withAttributes(ReplaceableAttribute... attributes)` The list of attributes for a replaceable item.
`ReplaceableItem` | `withName(String name)` The name of the replaceable item.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReplaceableItem

    public ReplaceableItem()

  Default constructor for a new ReplaceableItem object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### ReplaceableItem

    public ReplaceableItem(String name)

  Constructs a new ReplaceableItem object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `name` - The name of the replaceable item.

### ReplaceableItem

    public ReplaceableItem(String name,
                           List<ReplaceableAttribute> attributes)

  Constructs a new ReplaceableItem object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `name` - The name of the replaceable item.
    `attributes` - The list of attributes for a replaceable item.

Method Detail

### getName

    public String getName()

  The name of the replaceable item.

  Returns:
    The name of the replaceable item.

### setName

    public void setName(String name)

  The name of the replaceable item.

  Parameters:
    `name` - The name of the replaceable item.

### withName

    public ReplaceableItem withName(String name)

  The name of the replaceable item.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `name` - The name of the replaceable item.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributes

    public List<ReplaceableAttribute> getAttributes()

  The list of attributes for a replaceable item.

  Returns:
    The list of attributes for a replaceable item.

### setAttributes

    public void setAttributes(Collection<ReplaceableAttribute> attributes)

  The list of attributes for a replaceable item.

  Parameters:
    `attributes` - The list of attributes for a replaceable item.

### withAttributes

    public ReplaceableItem withAttributes(ReplaceableAttribute... attributes)

  The list of attributes for a replaceable item.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - The list of attributes for a replaceable item.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAttributes

    public ReplaceableItem withAttributes(Collection<ReplaceableAttribute> attributes)

  The list of attributes for a replaceable item.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - The list of attributes for a replaceable item.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.